/* === FUNCTIONS PROTOTYPE ==== */
int  ox803_init (int);
int  ox803_setup (int, char *);
int  ox803_autoset(int);
int  ox803_display (int);
int  ox803_channel (int, int, int, int);
int  ox803_timebase (int, int, int);
int  ox803_trigger (int, int, int, int, int);
int  ox803_close (void);
													    
/* === CONSTANTS DECLARATION ==== */
#define OX803_RANGE_CH1           0x60
#define OX803_RANGE_CH2           0x61
#define OX803_RANGE_TIME_BASE     0x62
#define OX803_VERTICAL_MODE       0x64
#define OX803_TB_DELAY            0x65
#define OX803_TRIGGER_SOURCE      0x68
#define OX803_TRIGGER_COUPLING    0x69
#define OX803_COUPLING_CH1        0x6a
#define OX803_COUPLING_CH2        0x6c
#define OX803_INVERT_CH2          0x6e
#define OX803_TRIGGER_PTP         0x70
#define OX803_EXP10               0x71
#define OX803_TRIGGER_SLOPE       0x72
#define OX803_TRIGGER_AUTO        0x73
#define OX803_COM_AUTOSET         0x75
#define OX803_READ_SETUP          0x76
#define OX803_WRI_CONF            0x77
#define OX803_ASK_ECHO            0x7a

